package cv08.server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * @author Karel Cemus
 */
public class Server {

    public static void main( String[] args ) throws IOException {

        // spusteni workera, aby odebiral udalosti z fronty
        new Thread( new Worker() ).start();
        
        ServerSocket server = new ServerSocket( 4567 );
        System.out.println("Server spusten, posloucha na portu 4567.");

        while ( true ) {

            // pockejme dokud se nepripoji novy klient
            System.out.println("Ceka se na pripojeni klienta.");
            Socket socket = server.accept();
            System.out.println( "Uzivatel se pripojil." );

            Client client = new Client( socket );
            // inicializace byla uspesna
            // spust se jako samostatne vlakno
            new Thread( client ).start();
        }
    }
}
